CloudBees Jenkins Enterprise - Operations Center 2.176.1.4

6 minute read
CloudBees will no longer be supporting CloudBees Jenkins Enterprise 1.x after July 30, 2020. This end-of-life announcement allows CloudBees to focus on driving new technology and product innovation for CloudBees CI. For information on moving to CloudBees CI, please refer to CloudBees Jenkins Enterprise 1.x to CloudBees CI on modern cloud platforms migration guide which has been created to help you with the migration process. Existing customers can also contact their CSM to help ensure a smooth transition.

RELEASED: Public: 2019-07-03

Based on Jenkins LTS2.176.1-cb-3

Rolling release

Verified plugins

  • Async Http Client

    1.7.24.2 verified installed by default

  • Authentication Tokens API Plugin

    1.3 verified installed by default

  • Config File Provider Plugin

    3.5 verified optional

  • Credentials Binding Plugin

    1.18 verified installed by default

  • Credentials Plugin

    2.1.19 verified installed by default

  • Display URL API

    2.3.1 verified installed by default

  • Folders Plugin

    6.7 verified installed by default

  • JUnit Plugin

    1.26.1 verified installed by default

  • Jackson 2 API Plugin

    2.9.8 verified installed by default

  • Javadoc Plugin

    1.5 verified optional

  • Jenkins Mailer Plugin

    1.23 verified installed by default

  • Jenkins SSH Slaves plugin

    1.26 verified optional

  • Kubernetes plugin

    1.15.5 verified optional

  • LDAP Plugin

    1.20 verified optional

  • MapDB API Plugin

    1.0.9.0 verified installed by default

  • Metrics Plugin

    4.0.2.3 verified installed by default

  • OWASP Markup Formatter Plugin

    1.5 verified optional

  • Plain Credentials Plugin

    1.4 verified installed by default

  • SAML Plugin

    1.1.2 verified optional

  • SCM API Plugin

    2.4.0 verified installed by default

  • SSH Credentials Plugin

    1.16 verified installed by default

  • Script Security Plugin

    1.58 verified installed by default

  • Secure Requester Whitelist Plugin

    1.2 verified optional

  • Structs Plugin

    1.18 verified installed by default

  • Token Macro Plugin

    2.8 verified installed by default

  • Variant Plugin

    1.2 verified installed by default

Proprietary plugins

  • Beekeeper Upgrade Assistant Plugin

    2.138.0.6 proprietary installed by default

  • CloudBees Back-up Plugin

    3.38.10 proprietary installed by default

  • CloudBees Blue Ocean Default Theme

    0.5 proprietary installed by default

  • CloudBees Castle Plugin - Core

    1.11.8.2 proprietary optional

  • CloudBees Castle Plugin - EBS backend

    1.11.8.2 proprietary optional

  • CloudBees Folders Plus Plugin

    3.8 proprietary installed by default

  • CloudBees Jenkins Advisor Plugin

    2.9 proprietary optional

  • CloudBees Jenkins Enterprise License Entitlement Check

    8.18 proprietary installed by default

  • CloudBees Jenkins Enterprise New User Experience

    1.2.17 proprietary optional

  • CloudBees License Manager

    9.34 proprietary installed by default

  • CloudBees Monitoring Plugin

    2.8 proprietary installed by default

  • CloudBees Nodes Plus Plugin

    1.17 proprietary optional

  • CloudBees PSE - Analytics Dashboards

    1.0.3 proprietary optional

  • CloudBees PSE Mesos Metrics Plugin

    1.0.3 proprietary optional

  • CloudBees PSE Project Configuration Info Plugin

    1.1.6 proprietary optional

  • CloudBees PSE Tenant plugin

    1.0.15 proprietary optional

  • CloudBees Plugin Usage Plugin

    1.10 proprietary optional

  • CloudBees Quiet Start Plugin

    1.5 proprietary optional

  • CloudBees Restart Aborted Builds Plugin

    1.12 proprietary optional

  • CloudBees Role-Based Access Control Plugin

    5.27 proprietary installed by default

  • CloudBees SSH Build Agents Plugin

    2.3 proprietary optional

  • CloudBees Skip Next Build Plugin

    4.2 proprietary optional

  • CloudBees Support Plugin

    3.22 proprietary installed by default

  • CloudBees Update Center Data API

    4.42 proprietary installed by default

  • CloudBees Update Center Plugin

    4.45 proprietary installed by default

  • CloudBees VMWare Autoscaling Plugin

    4.3.8 proprietary optional

  • CloudBees WikiText Security Plugin

    3.9 proprietary optional

  • External Notification Plugin

    1.2 proprietary optional

  • Kube Agent Management plugin

    1.1.9 proprietary optional

  • Master Provisioning Core

    2.2.6 proprietary optional

  • Master Provisioning Kubernetes

    2.2.6 proprietary optional

  • Master Provisioning Mesos

    2.2.6 proprietary optional

  • Notification API

    1.1 proprietary optional

  • Operations Center Agent

    2.150.2.4 proprietary installed by default

  • Operations Center Analytics

    2.107.1.5 proprietary optional

  • Operations Center Analytics Configuration

    2.107.1.5 proprietary optional

  • Operations Center Analytics Feeder

    2.107.1.5 proprietary optional

  • Operations Center Analytics Kibana Dashboards

    2.107.1.5 proprietary optional

  • Operations Center Analytics Reporter

    2.107.1.5 proprietary optional

  • Operations Center Analytics Viewer

    2.107.1.5 proprietary optional

  • Operations Center Context

    2.150.2.10 proprietary installed by default

  • Operations Center Elasticsearch Provider

    2.150.2.4 proprietary installed by default

  • Operations Center Embedded elasticsearch

    2.73.0.1 proprietary optional

  • Operations Center JNLP Agent Controller Plugin

    2.150.2.4 proprietary optional

  • Operations Center Monitoring Plugin

    2.150.2.4 proprietary installed by default

  • Operations Center Notification

    1.0 proprietary optional

  • Operations Center Server Cluster Operations

    2.150.2.5 proprietary installed by default

  • Operations Center Server EC2 Cloud

    2.150.2.4 proprietary optional

  • Operations Center Server Kubernetes Cloud

    2.150.2.4 proprietary optional

  • Operations Center Server License Entitlement Check

    2.150.2.4 proprietary installed by default

  • Operations Center Server Plugin

    2.150.2.8 proprietary installed by default

  • Operations Center Server Role Based Access Control

    2.150.2.4 proprietary optional

  • Operations Center Single Sign-On Plugin

    2.150.2.4 proprietary installed by default

  • Operations Center Update Center Plugin

    2.150.2.4 proprietary installed by default

  • Palace Cloud Plugin

    2.0.11 proprietary optional

  • Palace Shared Cloud Plugin

    2.0.2 proprietary optional

  • User Activity Monitoring Plugin

    1.1.3 proprietary optional

Compatible plugins

  • Amazon EC2 plugin

    1.42 compatible optional

  • Amazon Web Services SDK

    1.11.457 compatible installed by default

  • CloudBees AWS Credentials Plugin

    1.24 compatible installed by default

  • CloudBees Administrative Monitors Plugin

    1.0.1 compatible installed by default

  • Command Agent Launcher Plugin

    1.2 compatible installed by default

  • Common API for Blue Ocean

    1.10.2 compatible installed by default

  • Durable Task Plugin

    1.29 compatible installed by default

  • Email Extension Plugin

    2.66 compatible optional

  • Favorite

    2.3.1 compatible optional

  • Form element path plugin

    1.8 compatible installed by default

  • JAXB plugin

    2.3.0.1 compatible installed by default

  • JDK Tool Plugin

    1.1 compatible installed by default

  • JavaScript GUI Lib: ACE Editor bundle plugin

    1.1 compatible optional

  • JavaScript GUI Lib: jQuery bundles (jQuery and jQuery UI) plugin

    1.2.1 compatible optional

  • Jenkins Active Directory plugin

    2.13 compatible optional

  • Jenkins Apache HttpComponents Client 4.x API Plugin

    4.5.5-3.0 compatible installed by default

  • Jenkins JSch dependency plugin

    0.1.55 compatible optional

  • Jenkins Pub-Sub "light" Bus

    1.12 compatible optional

  • Kubernetes Credentials Plugin

    0.4.0 compatible optional

  • Matrix Authorization Strategy Plugin

    2.4.2 compatible optional

  • Matrix Project Plugin

    1.14 compatible optional

  • Maven Integration plugin

    3.1.2 compatible optional

  • Mock Security Realm

    1.3 compatible installed by default

  • Node Iterator API Plugin

    1.5.0 compatible installed by default

  • One-Shot Executor Plugin

    1.2 compatible optional

  • PAM Authentication plugin

    1.4.1 compatible optional

  • Pipeline: API

    2.33 compatible installed by default

  • Pipeline: Step API

    2.19 compatible installed by default

  • REST API for Blue Ocean

    1.10.2 compatible optional

  • SSH Agent Plugin

    1.17 compatible optional

  • Server Sent Events (SSE) Gateway Plugin

    1.17 compatible optional

  • Stack Trace Suppression Plugin

    1.5 compatible optional

  • Support Core Plugin

    2.56 compatible installed by default

  • Unique ID Library Plugin

    2.1.3 compatible installed by default

  • View Job Filters

    1.27 compatible installed by default

  • bouncycastle API Plugin

    2.17 compatible installed by default

New features

  • Jenkins LTS 2.176.1-cb-3

    Upgraded Jenkins LTS from 2.164.3-cb-2 to 2.176.1-cb-3

  • Release Notes

    Upgraded CloudBees Assurance Plugin from 2.138.0.5 to 2.138.0.6

  • Release Notes

    Upgraded CloudBees Jenkins Advisor Plugin from 2.8 to 2.9

  • Release Notes

    Upgraded CloudBees License Manager from 9.33 to 9.34

  • Release Notes

    Upgraded Credentials Plugin from 2.1.18 to 2.1.19

  • Release Notes

    Upgraded Kube Agent Management Plugin from 1.1.8 to 1.1.9

  • Release Notes

    Upgraded Kubernetes Plugin from 1.14.9 to 1.15.5

  • Release Notes

    Upgraded Matrix Authorization Strategy Plugin from 2.3 to 2.4.2

  • Release Notes

    Upgraded CloudBees Jenkins Enterprise License Entitlement Check from 8.16 to 8.18

  • Release Notes

    Upgraded Operations Center Context Plugin from 2.150.2.8 to 2.150.2.10

  • Release Notes

    Upgraded Operations Center Server Plugin from 2.150.2.6 to 2.150.2.8

  • Release Notes

    Upgraded Palace Cloud Plugin from 2.0.10 to 2.0.11

  • Release Notes

    Upgraded PAM Authentication Plugin from 1.4 to 1.4.1

  • Release Notes

    Upgraded Script Security Plugin from 1.57 to 1.58

  • Release Notes

    Upgraded SSH Credentials Plugin from 1.14 to 1.16

  • Release Notes

    Upgraded Structs Plugin from 1.17 to 1.18

  • Release Notes

    Upgraded Token Macro Plugin from 2.7 to 2.8

  • Release Notes

    Added CloudBees Administrative Monitors Plugin version 1.0.1

  • Release Notes

    Added User Activity Monitoring Plugin version 1.1.3

Resolved issues

  • Always reject System.exit (NGPIPELINE-341)

    System.exit(int) and similar methods could still be approved in Script Approval, but there’s never a good reason for them to be usable in Pipeline scripts. These methods are now blocked permanently from all sandboxed Groovy execution in Jenkins.

  • Git plugin’s mergeStrategy case issue resolved (NGPIPELINE-305)

    Uses of the Git plugin’s mergeStrategy option in Pipeline started failing in Git 3.9.0 if the specified value was not uppercase. The value of the mergeStrategy option may now be specified in any case in a Pipeline.

  • Git plugin fetch issue resolved (NGPIPELINE-16)

    The git plugin fetched to the local cache before checking remote references for updates causing MissingObjectException if references got updated between these operations. The problem is more notable on large repositories where the fetch operation can take a long time. The fix changes the order of the operations making the issue less likely to occur since listing references is fairly quick.

  • Script security rejection issue resolved (NGPIPELINE-14)

    Certain sandboxed Groovy script idioms, including but not limited to Pipeline, could result in a build failure with a RejectedAccessException without Jenkins offering the corresponding signature as a pending approval. Script Security rejections will now be reported properly in all contexts.

  • Password updates issues resolved (JENSEC-414)

    When users of the EC2, docker-commons, and SSH credentials plugins updated passwords, the original passwords were not hidden nor were previous values encrypted. With this fix, when users of the EC2, docker-commons, and SSH credentials plugins update passwords, the original passwords are hidden and previous values encrypted.

Known issues

None